(open-network-stream): Add the keyword :always-query-capabilities.
[bpt/emacs.git] / m4 / gl-comp.m4
CommitLineData
743c80a7
PE
1# DO NOT EDIT! GENERATED AUTOMATICALLY!
2# Copyright (C) 2002-2011 Free Software Foundation, Inc.
3#
4# This file is free software, distributed under the terms of the GNU
5# General Public License. As a special exception to the GNU General
6# Public License, this file may be distributed as part of a program
7# that contains a configuration script generated by Autoconf, under
8# the same distribution terms as the rest of that program.
9#
10# Generated by gnulib-tool.
11#
12# This file represents the compiled summary of the specification in
13# gnulib-cache.m4. It lists the computed macro invocations that need
14# to be invoked from configure.ac.
15# In projects that use version control, this file can be treated like
16# other built files.
17
18
19# This macro should be invoked from ./configure.in, in the section
20# "Checks for programs", right after AC_PROG_CC, and certainly before
21# any checks for libraries, header files, types and library functions.
22AC_DEFUN([gl_EARLY],
23[
24 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
25 m4_pattern_allow([^gl_ES$])dnl a valid locale name
26 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
27 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
28 AC_REQUIRE([AC_PROG_RANLIB])
7ec98caf 29 # Code from module allocator:
1fd182f0
PE
30 # Code from module arg-nonnull:
31 # Code from module c++defs:
d1fdcab7 32 # Code from module careadlinkat:
942f733f 33 # Code from module crypto/md5:
13c3daa4 34 # Code from module crypto/sha1:
36f13e16 35 # Code from module dosname:
f737437b 36 # Code from module dtoastr:
1fd182f0
PE
37 # Code from module extensions:
38 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
5fa4ac76 39 # Code from module filemode:
79ab4b7f 40 # Code from module getloadavg:
e275c824
PE
41 # Code from module getopt-gnu:
42 # Code from module getopt-posix:
43 # Code from module gettext-h:
67342916 44 # Code from module ignore-value:
1fd182f0 45 # Code from module include_next:
a451f14b 46 # Code from module intprops:
b6f5355a 47 # Code from module inttypes-incomplete:
ae0d7250 48 # Code from module lstat:
1fd182f0
PE
49 # Code from module mktime:
50 # Code from module multiarch:
ae0d7250 51 # Code from module readlink:
401bf9b4 52 # Code from module socklen:
d1fdcab7 53 # Code from module ssize_t:
ae0d7250 54 # Code from module stat:
c378da0b
PE
55 # Code from module stdarg:
56 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
57 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
58 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
59 dnl shouldn't hurt, though installers are on their own to set c99 mode.
60 AC_REQUIRE([AC_PROG_CC_STDC])
16c3e636 61 # Code from module stdbool:
1fd182f0 62 # Code from module stddef:
5f90be1b 63 # Code from module stdint:
77185bdf 64 # Code from module stdio:
79ab4b7f 65 # Code from module stdlib:
16c3e636 66 # Code from module strftime:
b6f5355a 67 # Code from module strtoull:
a8a2bb29 68 # Code from module strtoumax:
ae0d7250 69 # Code from module symlink:
5fa4ac76 70 # Code from module sys_stat:
1fd182f0
PE
71 # Code from module time:
72 # Code from module time_r:
e275c824 73 # Code from module unistd:
a8a2bb29 74 # Code from module verify:
1fd182f0 75 # Code from module warn-on-use:
743c80a7
PE
76])
77
78# This macro should be invoked from ./configure.in, in the section
79# "Check for header files, types and library functions".
80AC_DEFUN([gl_INIT],
81[
82 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
83 gl_cond_libtool=false
84 gl_libdeps=
85 gl_ltlibdeps=
86 gl_m4_base='m4'
87 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
88 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
89 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
90 m4_pushdef([gl_LIBSOURCES_LIST], [])
91 m4_pushdef([gl_LIBSOURCES_DIR], [])
92 gl_COMMON
93 gl_source_base='lib'
19548d08
PE
94AC_CHECK_FUNCS_ONCE([readlinkat])
95gl_MD5
13c3daa4 96gl_SHA1
19548d08
PE
97AC_REQUIRE([gl_C99_STRTOLD])
98gl_FILEMODE
6a3e57bb 99gl_GETLOADAVG
19548d08
PE
100gl_STDLIB_MODULE_INDICATOR([getloadavg])
101gl_FUNC_GETOPT_GNU
102gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
103gl_FUNC_GETOPT_POSIX
104AC_REQUIRE([AC_C_INLINE])
105gl_INTTYPES_INCOMPLETE
106gl_FUNC_LSTAT
107gl_SYS_STAT_MODULE_INDICATOR([lstat])
108gl_FUNC_MKTIME
109gl_TIME_MODULE_INDICATOR([mktime])
110gl_MULTIARCH
111gl_FUNC_READLINK
112gl_UNISTD_MODULE_INDICATOR([readlink])
113gl_TYPE_SOCKLEN_T
114gt_TYPE_SSIZE_T
c378da0b 115gl_STDARG_H
19548d08
PE
116AM_STDBOOL_H
117gl_STDDEF_H
118gl_STDINT_H
119gl_STDIO_H
120gl_STDLIB_H
121gl_FUNC_GNU_STRFTIME
122gl_FUNC_STRTOUMAX
123gl_INTTYPES_MODULE_INDICATOR([strtoumax])
124gl_FUNC_SYMLINK
125gl_UNISTD_MODULE_INDICATOR([symlink])
126gl_HEADER_SYS_STAT_H
127AC_PROG_MKDIR_P
128gl_HEADER_TIME_H
129gl_TIME_R
130gl_TIME_MODULE_INDICATOR([time_r])
131gl_UNISTD_H
132 gl_gnulib_enabled_dosname=false
133 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
134 gl_gnulib_enabled_stat=false
135 gl_gnulib_enabled_strtoull=false
136 gl_gnulib_enabled_verify=false
137 func_gl_gnulib_m4code_dosname ()
138 {
139 if ! $gl_gnulib_enabled_dosname; then
140 gl_gnulib_enabled_dosname=true
141 fi
142 }
143 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
144 {
145 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
146AC_SUBST([LIBINTL])
147AC_SUBST([LTLIBINTL])
148 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
149 fi
150 }
151 func_gl_gnulib_m4code_stat ()
152 {
153 if ! $gl_gnulib_enabled_stat; then
154gl_FUNC_STAT
155gl_SYS_STAT_MODULE_INDICATOR([stat])
156 gl_gnulib_enabled_stat=true
157 if $condition; then
158 func_gl_gnulib_m4code_dosname
159 fi
160 fi
161 }
162 func_gl_gnulib_m4code_strtoull ()
163 {
164 if ! $gl_gnulib_enabled_strtoull; then
165gl_FUNC_STRTOULL
166gl_STDLIB_MODULE_INDICATOR([strtoull])
167 gl_gnulib_enabled_strtoull=true
168 fi
169 }
170 func_gl_gnulib_m4code_verify ()
171 {
172 if ! $gl_gnulib_enabled_verify; then
173 gl_gnulib_enabled_verify=true
174 fi
175 }
176 if test $GNULIB_UNISTD_H_GETOPT = 1; then
177 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
178 fi
179 if test $REPLACE_LSTAT = 1; then
180 func_gl_gnulib_m4code_dosname
181 fi
182 if test $REPLACE_LSTAT = 1; then
183 func_gl_gnulib_m4code_stat
184 fi
185 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
186 func_gl_gnulib_m4code_stat
187 fi
188 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
189 func_gl_gnulib_m4code_verify
190 fi
191 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
192 func_gl_gnulib_m4code_strtoull
193 fi
194 m4_pattern_allow([^gl_GNULIB_ENABLED_])
195 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
196 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
197 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
198 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
199 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
743c80a7
PE
200 # End of code from modules
201 m4_ifval(gl_LIBSOURCES_LIST, [
202 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
203 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
204 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
205 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
206 exit 1
207 fi
208 done])dnl
209 m4_if(m4_sysval, [0], [],
210 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
211 ])
212 m4_popdef([gl_LIBSOURCES_DIR])
213 m4_popdef([gl_LIBSOURCES_LIST])
214 m4_popdef([AC_LIBSOURCES])
215 m4_popdef([AC_REPLACE_FUNCS])
216 m4_popdef([AC_LIBOBJ])
217 AC_CONFIG_COMMANDS_PRE([
218 gl_libobjs=
219 gl_ltlibobjs=
220 if test -n "$gl_LIBOBJS"; then
221 # Remove the extension.
222 sed_drop_objext='s/\.o$//;s/\.obj$//'
223 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
224 gl_libobjs="$gl_libobjs $i.$ac_objext"
225 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
226 done
227 fi
228 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
229 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
230 ])
231 gltests_libdeps=
232 gltests_ltlibdeps=
233 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
234 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
235 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
236 m4_pushdef([gltests_LIBSOURCES_LIST], [])
237 m4_pushdef([gltests_LIBSOURCES_DIR], [])
238 gl_COMMON
239 gl_source_base='tests'
240changequote(,)dnl
241 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
242changequote([, ])dnl
243 AC_SUBST([gltests_WITNESS])
244 gl_module_indicator_condition=$gltests_WITNESS
245 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 246 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
247 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
248 m4_ifval(gltests_LIBSOURCES_LIST, [
249 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
250 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
251 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
252 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
253 exit 1
254 fi
255 done])dnl
256 m4_if(m4_sysval, [0], [],
257 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
258 ])
259 m4_popdef([gltests_LIBSOURCES_DIR])
260 m4_popdef([gltests_LIBSOURCES_LIST])
261 m4_popdef([AC_LIBSOURCES])
262 m4_popdef([AC_REPLACE_FUNCS])
263 m4_popdef([AC_LIBOBJ])
264 AC_CONFIG_COMMANDS_PRE([
265 gltests_libobjs=
266 gltests_ltlibobjs=
267 if test -n "$gltests_LIBOBJS"; then
268 # Remove the extension.
269 sed_drop_objext='s/\.o$//;s/\.obj$//'
270 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
271 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
272 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
273 done
274 fi
275 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
276 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
277 ])
278 LIBGNU_LIBDEPS="$gl_libdeps"
279 AC_SUBST([LIBGNU_LIBDEPS])
280 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
281 AC_SUBST([LIBGNU_LTLIBDEPS])
282])
283
284# Like AC_LIBOBJ, except that the module name goes
285# into gl_LIBOBJS instead of into LIBOBJS.
286AC_DEFUN([gl_LIBOBJ], [
287 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
288 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
289])
290
291# Like AC_REPLACE_FUNCS, except that the module name goes
292# into gl_LIBOBJS instead of into LIBOBJS.
293AC_DEFUN([gl_REPLACE_FUNCS], [
294 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
295 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
296])
297
298# Like AC_LIBSOURCES, except the directory where the source file is
299# expected is derived from the gnulib-tool parameterization,
300# and alloca is special cased (for the alloca-opt module).
301# We could also entirely rely on EXTRA_lib..._SOURCES.
302AC_DEFUN([gl_LIBSOURCES], [
303 m4_foreach([_gl_NAME], [$1], [
304 m4_if(_gl_NAME, [alloca.c], [], [
305 m4_define([gl_LIBSOURCES_DIR], [lib])
306 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
307 ])
308 ])
309])
310
311# Like AC_LIBOBJ, except that the module name goes
312# into gltests_LIBOBJS instead of into LIBOBJS.
313AC_DEFUN([gltests_LIBOBJ], [
314 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
315 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
316])
317
318# Like AC_REPLACE_FUNCS, except that the module name goes
319# into gltests_LIBOBJS instead of into LIBOBJS.
320AC_DEFUN([gltests_REPLACE_FUNCS], [
321 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
322 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
323])
324
325# Like AC_LIBSOURCES, except the directory where the source file is
326# expected is derived from the gnulib-tool parameterization,
327# and alloca is special cased (for the alloca-opt module).
328# We could also entirely rely on EXTRA_lib..._SOURCES.
329AC_DEFUN([gltests_LIBSOURCES], [
330 m4_foreach([_gl_NAME], [$1], [
331 m4_if(_gl_NAME, [alloca.c], [], [
332 m4_define([gltests_LIBSOURCES_DIR], [tests])
333 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
334 ])
335 ])
336])
337
338# This macro records the list of files which have been installed by
339# gnulib-tool and may be removed by future gnulib-tool invocations.
340AC_DEFUN([gl_FILE_LIST], [
1fd182f0
PE
341 build-aux/arg-nonnull.h
342 build-aux/c++defs.h
343 build-aux/warn-on-use.h
7ec98caf 344 lib/allocator.c
d1fdcab7
PE
345 lib/allocator.h
346 lib/careadlinkat.c
347 lib/careadlinkat.h
36f13e16 348 lib/dosname.h
a451f14b 349 lib/dtoastr.c
5fa4ac76
PE
350 lib/filemode.c
351 lib/filemode.h
a451f14b
PE
352 lib/ftoastr.c
353 lib/ftoastr.h
79ab4b7f 354 lib/getloadavg.c
e275c824
PE
355 lib/getopt.c
356 lib/getopt.in.h
357 lib/getopt1.c
358 lib/getopt_int.h
359 lib/gettext.h
67342916 360 lib/ignore-value.h
a451f14b 361 lib/intprops.h
a8a2bb29 362 lib/inttypes.in.h
ae0d7250 363 lib/lstat.c
942f733f
PE
364 lib/md5.c
365 lib/md5.h
1fd182f0
PE
366 lib/mktime-internal.h
367 lib/mktime.c
ae0d7250 368 lib/readlink.c
13c3daa4
LL
369 lib/sha1.c
370 lib/sha1.h
ae0d7250 371 lib/stat.c
c378da0b 372 lib/stdarg.in.h
16c3e636 373 lib/stdbool.in.h
1fd182f0 374 lib/stddef.in.h
5f90be1b 375 lib/stdint.in.h
77185bdf 376 lib/stdio.in.h
79ab4b7f 377 lib/stdlib.in.h
16c3e636
PE
378 lib/strftime.c
379 lib/strftime.h
a8a2bb29
PE
380 lib/strtoimax.c
381 lib/strtol.c
a8a2bb29
PE
382 lib/strtoul.c
383 lib/strtoull.c
384 lib/strtoumax.c
ae0d7250 385 lib/symlink.c
5fa4ac76 386 lib/sys_stat.in.h
1fd182f0
PE
387 lib/time.in.h
388 lib/time_r.c
e275c824 389 lib/unistd.in.h
a8a2bb29 390 lib/verify.h
743c80a7 391 m4/00gnulib.m4
a451f14b 392 m4/c-strtod.m4
1fd182f0 393 m4/extensions.m4
5fa4ac76 394 m4/filemode.m4
79ab4b7f 395 m4/getloadavg.m4
e275c824 396 m4/getopt.m4
743c80a7 397 m4/gnulib-common.m4
1fd182f0 398 m4/include_next.m4
a8a2bb29 399 m4/inttypes.m4
5f90be1b 400 m4/longlong.m4
ae0d7250 401 m4/lstat.m4
942f733f 402 m4/md5.m4
1fd182f0
PE
403 m4/mktime.m4
404 m4/multiarch.m4
ae0d7250 405 m4/readlink.m4
13c3daa4 406 m4/sha1.m4
401bf9b4 407 m4/socklen.m4
d1fdcab7 408 m4/ssize_t.m4
5fa4ac76 409 m4/st_dm_mode.m4
ae0d7250 410 m4/stat.m4
c378da0b 411 m4/stdarg.m4
16c3e636 412 m4/stdbool.m4
1fd182f0 413 m4/stddef_h.m4
5f90be1b 414 m4/stdint.m4
77185bdf 415 m4/stdio_h.m4
79ab4b7f 416 m4/stdlib_h.m4
16c3e636 417 m4/strftime.m4
a8a2bb29
PE
418 m4/strtoull.m4
419 m4/strtoumax.m4
ae0d7250 420 m4/symlink.m4
5fa4ac76 421 m4/sys_stat_h.m4
1fd182f0
PE
422 m4/time_h.m4
423 m4/time_r.m4
16c3e636 424 m4/tm_gmtoff.m4
e275c824 425 m4/unistd_h.m4
1fd182f0
PE
426 m4/warn-on-use.m4
427 m4/wchar_t.m4
743c80a7 428])